#include<bits/stdc++.h>
using namespace std;
int main()
{
	ifstream f1("BAI2_17.inp");
	ofstream f2("BAI2_17.out");
	long long d=0,k,m,n,i;
	f1>>k>>m>>n;
	for(i=1;i<=n;i++)
	{
		if((i%m==0)||(i%k==0))
		d++;
	}
	f2<<d;
}
